
package linked_list;

import java.util.InputMismatchException;
import java.util.Scanner;

/**
 * Program demonstrujici praci s dvousmernym spojovym seznamem.
 * 
 * @author Antonin Neumann
 * @version 1.0
 *
 */
public class Main {

	public static Scanner sc = new Scanner(System.in);
	
	/**
	 * @param args not used
	 */
	public static void main(String[] args) {
		String s;
		do{
			System.out.println("Run verbose mode? (Y/n)");
			s = sc.nextLine();
		}while(!s.equalsIgnoreCase("Y") && !s.equalsIgnoreCase("n"));
		
		Linked_list l;
		if(s.equalsIgnoreCase("n"))
			l = new Linked_list(false);
		else 
			l = new Linked_list();
		
		/* START of test sequence of commands */
		l.print();
		l.add(1);
		l.add(5);
		l.add(4);		
		l.add(3);
		l.add(-2);
		l.add(13);		
		l.add(5);
		l.add(13);
		l.print();
		l.delete(5);
		l.print();
		l.delete(1);
		l.print();
		l.delete(1);
		l.delete(-2);
		l.print();
		l.delete(13);
		l.print();
		l.delete(3);
		l.delete(4);
		l.delete(5);
		l.delete(13);
		l.print();
		/* END of test sequence of commands */

		String cmd;
		System.out.println("Try yourself.");
		do {
			System.out.println("Insert command (followed by an integer value). Write HELP for help");
			System.out.print("> ");
			cmd = sc.next();
			
			
			if(cmd.equalsIgnoreCase("a") ||cmd.equalsIgnoreCase("add") || cmd.equalsIgnoreCase("put")){
				try{
					l.add(sc.nextInt());
				}catch(InputMismatchException e){
					System.err.println("Your input doesn't an integer number.");
					System.exit(1);
				}
			}else if(cmd.equalsIgnoreCase("d") ||cmd.equalsIgnoreCase("del") || cmd.equalsIgnoreCase("delete")){
				try{
					System.out.println("Delete "+l.delete(sc.nextInt()));
				}catch(InputMismatchException e){
					System.err.println("Your input doesn't an integer number.");
					System.exit(1);
				}
			}else if(cmd.equalsIgnoreCase("p") || cmd.equalsIgnoreCase("print")){
				l.print();
			}else if(cmd.equalsIgnoreCase("h") || cmd.equalsIgnoreCase("help")){
				System.out.println("ADD \t Add new value into list");
				System.out.println("DEL \t Delete value from list");
				System.out.println("PRINT \t Print all list");
				System.out.println("EXIT \t Exit this program");
			}
		}while(!cmd.equalsIgnoreCase("exit"));
		
	}
	
}


